EditableLabeledOMSpline (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.labeled
Class EditableLabeledOMSpline

    java.lang.Object
      com.bbn.openmap.event.MapMouseAdapter
          com.bbn.openmap.omGraphics.EditableOMGraphic
              com.bbn.openmap.omGraphics.EditableOMAbstractLine
                  com.bbn.openmap.omGraphics.EditableOMPoly
                      com.bbn.openmap.omGraphics.EditableOMSpline
                          com.bbn.openmap.omGraphics.labeled.EditableLabeledOMSpline

All Implemented Interfaces:
  MapMouseListener

    public class EditableLabeledOMSpline

extends EditableOMSpline

The EditableLabeledOMSpline encompasses an LabeledOMSpline, providing methods for modifying or creating it. Nothing created, code adapted from EditableLabeledOMPoly We just need to edit the generating points as an OMSpline

Version:
  22 juil. 2002
Author:
  Eric LEPICIER

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`EditableOMPoly.OMPolyUndoEvent`

Nested classes/interfaces inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`EditableOMGraphic.OMGraphicUndoEvent`

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`gpm, gpo, manualEnclosed, OFFSET_POINT_INDEX, poly, polyGrabPoints, selectNodeIndex`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`arrowheadMenu`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`actionMask, canGrabGraphic, DEBUG, DEBUG_DETAIL, gPoints, GRAB_POINT_DRAWING_ATTRIBUTES_ATTRIBUTE, holder, i18n, lastMouseEvent, listeners, mouseModeServiceList, movingPoint, popupIsUp, projection, SELECTED_GRAB_POINT_DRAWING_ATTRIBUTES_ATTRIBUTE, showGUI, stateMachine, undoStack, xorRendering`

Constructor Summary
`EditableLabeledOMSpline()` Create the EditableLabeledOMSpline, setting the state machine to create the poly off of the gestures.
`EditableLabeledOMSpline(GraphicAttributes ga)` Create an EditableLabeledOMSpline with the polyType and renderType parameters in the GraphicAttributes object.
`EditableLabeledOMSpline(LabeledOMSpline omls)` Create the EditableLabeledOMSpline with a LabeledOMSpline already defined, ready for editing.

Method Summary
`OMGraphic` | `createGraphic(int renderType, int lineType)` Extendable method to create specific subclasses of OMSplines.
`java.net.URL` | `getImageURL(java.lang.String imageName)`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMSpline
`addMovingPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMPoly
`addPoint, addPoint, addPoint, addPoint, addPolyGrabPointsToOGP, assertGrabPoints, attachToMovingGrabPoint, clearSelectedNode, createGrabPoint, createGraphic, createUndoEventForCurrentState, deletePoint, deletePoint, detachFromMovingGrabPoint, enablePolygonButton, enablePolygonEditButtons, enclose, evaluateEnclosed, generate, generateGrabPoints, getGrabPoint, getGrabPoints, getGraphic, getGUI, getMovingPoint, getPolyGUI, getPolyGUI, getPolyGUI, getPolyGUI, getSelectNodeIndex, init, isEnclosed, move, regenerate, render, setEnclosed, setGrabPoint, setGrabPoints, setGrabPoints, setGrabPoints, setGraphic, setMovingPoint, setSelectNodeIndex, syncEnclosed, unsyncEnclosed, whichGrabPoint`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMAbstractLine
`createArrowIcon, getArrowHeadMenu`

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic
`_getMovingPoint, addEOMGListener, cleanMap, createAttributePanel, finalize, fireEvent, fireEvent, fireEvent, fireEvent, getActionMask, getCanGrabGraphic, getGUI, getMouseModeServiceList, getMovingPoint, getProjection, getProjectionPoint, getShowGUI, getStateMachine, getUndoStack, handleInitialMouseEvent, isMouseEventTouching, isMouseEventTouchingTheEdge, isPopupIsUp, isXorRendering, modifyOMGraphicForEditRender, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, redraw, redraw, redraw, removeEOMGListener, repaint, repaintRender, reset, resetOMGraphicAfterEditRender, setActionMask, setCanGrabGraphic, setMouseModeServiceList, setPopupIsUp, setProjection, setShowGUI, setStateMachine, setUndoStack, setXorRendering, updateCurrentState`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditableLabeledOMSpline

    public EditableLabeledOMSpline()

  Create the EditableLabeledOMSpline, setting the state machine to create the poly off of the gestures.

  See Also:
    `EditableOMPoly.EditableOMPoly()`

### EditableLabeledOMSpline

    public EditableLabeledOMSpline(GraphicAttributes ga)

  Create an EditableLabeledOMSpline with the polyType and renderType parameters in the GraphicAttributes object.

  Parameters:
    `ga` -
  See Also:
    `EditableOMPoly.EditableOMPoly(GraphicAttributes)`

### EditableLabeledOMSpline

    public EditableLabeledOMSpline(LabeledOMSpline omls)

  Create the EditableLabeledOMSpline with a LabeledOMSpline already defined, ready for editing.

  Parameters:
    `omls` - LabeledOMSpline that should be edited.
  See Also:
    `EditableOMPoly.EditableOMPoly(GraphicAttributes)`

Method Detail

### createGraphic

    public OMGraphic createGraphic(int renderType,
                                   int lineType)

  Extendable method to create specific subclasses of OMSplines.

  Overrides:
    `createGraphic` in class `EditableOMSpline`
  See Also:
    `EditableOMPoly.createGraphic(int, int)`

### getImageURL

    public java.net.URL getImageURL(java.lang.String imageName)

  Overrides:
    `getImageURL` in class `EditableOMSpline`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details